<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.mediatek.lbs.em2.ui"
    android:versionCode="1"
    android:versionName="1.0" >

    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_MEDIA_STORAGE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.LOCATION_HARDWARE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.WRITE_SECURE_SETTINGS" />
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />

    <permission android:name="com.mediatek.em.permission.LAUNCH_APP" android:protectionLevel="signatureOrSystem"/>


    <application
        android:allowBackup="false"
        android:requestLegacyExternalStorage="true"
        android:theme="@android:style/Theme.Material"
        android:label="@string/app_name" >
        <activity
            android:name="com.mediatek.lbs.em2.ui.MyTabActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:launchMode="singleTask"
            android:permission="com.mediatek.em.permission.LAUNCH_APP" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                    <!--<category android:name="android.intent.category.LAUNCHER" /> -->
            </intent-filter>
        </activity>
        <activity
            android:name="com.mediatek.lbs.em2.ui.LbsGps"
            android:exported="false"
            android:label="@string/app_name" />
        <activity
            android:name="com.mediatek.lbs.em2.ui.LbsView"
            android:exported="false"
            android:label="@string/app_name" />
        <activity
            android:name="com.mediatek.lbs.em2.ui.LbsAgps"
            android:exported="false"
            android:label="@string/app_name" />
        <activity
            android:name="com.mediatek.lbs.em2.ui.LbsFlow"
            android:exported="false"
            android:label="@string/app_name" />
        <activity
            android:name="com.mediatek.lbs.em2.ui.LbsNet"
            android:exported="false"
            android:label="@string/app_name" />
        <activity
            android:name="com.mediatek.lbs.em2.ui.LbsMisc"
            android:exported="false"
            android:label="@string/app_name" />
        <activity
            android:name="com.mediatek.lbs.em2.ui.FileBrowser"
            android:exported="false"
            android:label="@string/app_name" />
        <activity
            android:name="com.mediatek.lbs.em2.ui.LbsRawData"
            android:exported="false"
            android:label="@string/app_name" />
        <activity
            android:name="com.mediatek.lbs.em2.ui.LbsNlp"
            android:exported="false"
            android:label="@string/app_name" />
        <activity
            android:name="com.mediatek.lbs.em2.ui.LbsC2kDbg"
            android:exported="false"
            android:label="@string/app_name" />
        <activity
            android:name="com.mediatek.lbs.em2.ui.LbsBatch"
            android:exported="false"
            android:label="@string/app_name" />
        <service
            android:exported="false"
            android:foregroundServiceType="location"
            android:name="com.mediatek.lbs.em2.ui.DbgScreenReporter" />
        <service
            android:exported="false"
            android:foregroundServiceType="location"
            android:name="com.mediatek.lbs.em2.ui.LocationEMService" />
    </application>

</manifest>
